|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# EffectWidget Class Reference
(Phonon::EffectWidget)
[Phonon module]

Widget to control the parameters of an Effect. More...

     #include <Phonon>

Inherits QWidget.

- List of all members, including inherited members

### Public Functions

- EffectWidget ( Effect * effect, QWidget * parent = 0 )
- ~EffectWidget ()

- 206 public functions inherited from QWidget
- 29 public functions inherited from QObject
- 12 public functions inherited from QPaintDevice

### Additional Inherited Members

- 57 properties inherited from QWidget
- 1 property inherited from QObject
- 19 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 1 signal inherited from QWidget
- 1 signal inherited from QObject
- 4 static public members inherited from QWidget
- 5 static public members inherited from QObject
- 38 protected functions inherited from QWidget
- 7 protected functions inherited from QObject
- 1 protected function inherited from QPaintDevice
- 1 protected slot inherited from QWidget

## Detailed Description

Widget to control the parameters of an Effect.

The EffectWidget class provides a widget, with which an effects parameters can be controlled. The widget does not have an API, and is constructed with the Effect, of which parameters should be controlled.

         Phonon::Effect *effect = new Phonon::Effect(effectDescription);
         path.insertEffect(effect);

         Phonon::EffectWidget *effectWidget = new Phonon::EffectWidget(effect);
         effectWidget->show();

The following image shows an example of an effect widget.

Note that some audio effects do not have parameters, and the widget will then not show() at all.

Author: Matthias Kretz <kretz@kde.org>

See also Effect, BackendCapabilities, and EffectDescription.

## Member Function Documentation

### EffectWidget::EffectWidget ( Effect * effect, QWidget * parent = 0 )

### EffectWidget::~EffectWidget ()